Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.diagnostics
Class PropertyReportTask

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.diagnostics.AbstractReportTask
                      org.gradle.api.tasks.diagnostics.PropertyReportTask

    class PropertyReportTask
    extends AbstractReportTask

The `PropertyListTask` prints out the properties of a project, and its sub-projects and tasks. This task is used when you execute the property list command-line option.

Constructor Summary
`PropertyReportTask(Project project, java.lang.String name)`

Method Summary
`void` | `generate(Project project)`
`ProjectReportRenderer` | `getRenderer()`
`void` | `setRenderer(PropertyReportRenderer renderer)`

Methods inherited from class AbstractReportTask
generate, getOutputFile, getRenderer, setOutputFile

Methods inherited from class ConventionTask
conv, conventionMapping, conventionMapping, conventionProperty, getConventionAwareHelper, getConventionMapping, setConventionAwareHelper, setConventionMapping

Methods inherited from class DefaultTask
leftShift, methodMissing, propertyMissing

Methods inherited from class AbstractTask
captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getPath, getProject, getSkipProperties, getStandardOutputCapture, getTaskDependencies, hasProperty, hashCode, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setProject, setProperty, setSkipProperties, setStandardOutputCapture, toString

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### PropertyReportTask

    public PropertyReportTask(Project project, java.lang.String name)

Method Detail

### generate

    public void generate(Project project)

### getRenderer

    public ProjectReportRenderer getRenderer()

### setRenderer

    public void setRenderer(PropertyReportRenderer renderer)

Groovy Documentation